// defines the fragmented bombhead turret
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_bombheadFRAG_GSH
#define INCLUDED_bombheadRAG_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"

shape Shp_basebombhead
{
	file	"units\bombhead.rif"
	name	"L7#base"
}

role Rol_basebombhead : Rol_PlacedObject
{
	shape			Shp_basebombhead
	identifier		"base"
	ai blocker
}

hierarchy Hcy_bombheadFrag
{
	file	"units\bombheadfrag.rif"
	name	"bombheadfrag"
	hotspot none
}

role Rol_bombheadFrag : Rol_FragObject
{
	shape			Hcy_bombheadFrag
	identifier		"bombheadfrag"
}

frag data Frg_bombhead
{
	role Rol_bombheadFrag
	scale 8
	replace yes
	replace role Rol_basebombhead
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_bombheadFRAG_GSH
